Subject: [bug#65229] [PATCH 1/2] pull, time-machine: Add '-q' to ignore channel files.

From: Simon Tournier <[email-masked]>
Date: Thu, 17 Aug 2023 11:59:57 +0200

Hi Ludo,

On Thu, 17 Aug 2023 at 10:57, Ludovic Courtès <[email-masked]> wrote:

> >> -will thus build the package @code{hello} as defined in the master branch,
> >> -which is in general a newer revision of Guix than you have installed.
> >> -Time travel works in both directions!
> >> +will thus build the package @code{hello} as defined in the main branch
> >
> > Why not the master branch?  Is the branch renamed from ’master’ to
> > ’main’?  If not, I would keep the explicit master branch in order to
> > avoid confusion.
>
> The “main branch” is the branch currently called ‘master’ (I think we
> should rename it to ‘main’ eventually, but I’d have written @code{main}
> if I wanted to imply it’s called that way).

I think the term "main branch" is confusing because many forges as
Gitlab propose by default to rename from @code{master}  to
@code{main}.  Well, if instead of @code{main}, these forges were
proposing @code{trunk} or @code{primary} or whatever else, it would be
fine.

Therefore, I propose the wording:

    defined in the main branch of Guix (currently called @code{master}), without
    any additional channel, [...]

Cheers,
simon